problem with doxia 1.1.1 version

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

problem with doxia 1.1.1 version

Kamil Piętak
Hello

I have a problem with running doxia with confluence module version 1.1.1.
During site genearation I've got the following error:
[INFO] Error during page generation

Embedded error: No method on class
org.apache.maven.report.projectinfo.TeamListReport
org.apache.maven.doxia.module.xhtml.XhtmlSink.writeEndTagWithoutEOL(Ljavax/swing
/text/html/HTML$Tag;)V

I tried many different solutions such as using
maven-site-plugin-2.1-SNAPSHOT, but other other errors occured connected
with javadoc plugin.
Could you give me a correct pom configuration of doxia 1.1.1 which can I
use?

Thanks in advance
Kamil

Below you find details about my environemnt and pom.

I use the following version of maven:
Apache Maven 2.2.1 (r801777; 2009-08-06 21:16:01+0200)
Java version: 1.6.0_16
Java home: c:\Program Files (x86)\Java\jdk1.6.0_16\jre
Default locale: pl_PL, platform encoding: Cp1250
OS name: "windows 7" version: "6.1" arch: "x86" Family: "windows"

My pom looks as follows (only an important part of it):

<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 
http://maven.apache.org/maven-v4_0_0.xsd">

   <build>
        <plugins>
               
          <plugin>
             <groupId>org.apache.maven.plugins</groupId>
             <artifactId>maven-compiler-plugin</artifactId>
                        <inherited>true</inherited>
             <configuration>
                <source>1.6</source>
                <target>1.6</target>
             </configuration>
          </plugin>

        <plugin>
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-site-plugin</artifactId>
           <dependencies>
                <dependency>
                <groupId>org.apache.maven.doxia</groupId>
                <artifactId>doxia-module-confluence</artifactId>
                <version>1.1.1</version>
                </dependency>
           </dependencies>
           <configuration>
                <inputEncoding>UTF-8</inputEncoding>
                <outputEncoding>UTF-8</outputEncoding>
      </configuration>
         </plugin>
     </plugins>
   </build>

   <reporting>
         <plugins>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-javadoc-plugin</artifactId>
                 <configuration>
           <aggregate>true</aggregate>
         </configuration>

       </plugin>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-project-info-reports-plugin</artifactId>
         <reportSets>
           <reportSet>
             <reports>
               <report>index</report>
               <report>issue-tracking</report>
               <report>license</report>
               <report>mailing-list</report>
               <report>project-team</report>
               <report>scm</report>
               <report>summary</report>
             </reports>
           </reportSet>
                </reportSets>
          </plugin>
     </plugins>

   </reporting>

</project>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: problem with doxia 1.1.1 version

Lukas Theussl-4

You should definitely use site-plugin-2.1-SNAPSHOT if you want to use doxia-1.1.
However, I don't see the connection between your error message and the
doxia-confluence-module. Please lock down all the version numbers of plugins you
use in your pom, and if you can't figure it out, attach a small reproducible test
project to jira [1].

Cheers,
-Lukas

[1] http://jira.codehaus.org/browse/MSITE


Kamil Piętak wrote:

> Hello
>
> I have a problem with running doxia with confluence module version 1.1.1.
> During site genearation I've got the following error:
> [INFO] Error during page generation
>
> Embedded error: No method on class
> org.apache.maven.report.projectinfo.TeamListReport
> org.apache.maven.doxia.module.xhtml.XhtmlSink.writeEndTagWithoutEOL(Ljavax/swing
>
> /text/html/HTML$Tag;)V
>
> I tried many different solutions such as using
> maven-site-plugin-2.1-SNAPSHOT, but other other errors occured connected
> with javadoc plugin.
> Could you give me a correct pom configuration of doxia 1.1.1 which can I
> use?
>
> Thanks in advance
> Kamil
>
> Below you find details about my environemnt and pom.
>
> I use the following version of maven:
> Apache Maven 2.2.1 (r801777; 2009-08-06 21:16:01+0200)
> Java version: 1.6.0_16
> Java home: c:\Program Files (x86)\Java\jdk1.6.0_16\jre
> Default locale: pl_PL, platform encoding: Cp1250
> OS name: "windows 7" version: "6.1" arch: "x86" Family: "windows"
>
> My pom looks as follows (only an important part of it):
>
> <?xml version="1.0" encoding="UTF-8"?>
> <project xmlns="http://maven.apache.org/POM/4.0.0"
> xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 
> http://maven.apache.org/maven-v4_0_0.xsd">
>
>   <build>
>     <plugins>
>        
>          <plugin>
>             <groupId>org.apache.maven.plugins</groupId>
>             <artifactId>maven-compiler-plugin</artifactId>
>             <inherited>true</inherited>
>             <configuration>
>                <source>1.6</source>
>                <target>1.6</target>
>             </configuration>
>          </plugin>
>
>     <plugin>
>        <groupId>org.apache.maven.plugins</groupId>
>        <artifactId>maven-site-plugin</artifactId>
>        <dependencies>
>         <dependency>
>         <groupId>org.apache.maven.doxia</groupId>
>         <artifactId>doxia-module-confluence</artifactId>
>         <version>1.1.1</version>
>         </dependency>
>        </dependencies>
>        <configuration>
>         <inputEncoding>UTF-8</inputEncoding>
>         <outputEncoding>UTF-8</outputEncoding>
>           </configuration>
>      </plugin>
>     </plugins>
>   </build>
>
>   <reporting>
>      <plugins>
>       <plugin>
>         <groupId>org.apache.maven.plugins</groupId>
>         <artifactId>maven-javadoc-plugin</artifactId>
>          <configuration>
>           <aggregate>true</aggregate>
>         </configuration>
>
>       </plugin>
>       <plugin>
>         <groupId>org.apache.maven.plugins</groupId>
>         <artifactId>maven-project-info-reports-plugin</artifactId>
>         <reportSets>
>           <reportSet>
>             <reports>
>               <report>index</report>
>               <report>issue-tracking</report>
>               <report>license</report>
>               <report>mailing-list</report>
>               <report>project-team</report>
>               <report>scm</report>
>               <report>summary</report>
>             </reports>
>           </reportSet>
>         </reportSets>
>       </plugin>
>     </plugins>
>
>   </reporting>
>
> </project>
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: problem with doxia 1.1.1 version

Kamil Piętak
Hello,

Lukas Theussl-4 wrote
You should definitely use site-plugin-2.1-SNAPSHOT if you want to use doxia-1.1.
Thanks, setting up project once more and using site plugin in 2.1-SNAPSHOT resolved the problem.

Greets.
Kamil
Loading...